CPANTS_LINT(1p)

NAME
cpants_lint - commandline frontend to Module::CPANTS::Analyse

SYNOPSIS
    cpants_lint path/to/Foo-Dist-1.42.tgz

    Options:
        --help              brief help message
        --man               full documentation
        --verbose           print more info during run
        --colour, --color   pretty output

        --dump              dump result using Data::Dumper
        --yaml              dump result as YAML
        --json              dump result as JSON

        --save              write report (or dump) to a file
        --dir               directory to save a report to
        --metrics_path      search path for extra metrics modules

DESCRIPTION
"cpants_lint" checks the Kwalitee of a CPAN distribution. More exact, it checks how a given tarball will be rated on "http://cpants.perl.org", without needing to upload it first.

For more information on Kwalitee, and the whole of CPANTS, see "http://cpants.perl.org" and / or "Module::CPANTS::Analyse".

OPTIONS

  --help
Print a brief help message.

  --man
Print manpage.

  --verbose
Print some informative messages while analysing a distribution.

  --colour, --color
Like "--verbose", but prettier. You need to install Term::ANSIColor (and Win32::Console::ANSI for Win32) to enable this option.

  --dump
Dump the result using Data::Dumper (instead of displaying a report text).

  --yaml
Dump the result as YAML.

  --json
Dump the result as JSON.

--save

Output the result into a file instead of STDOUT.

The name of the file will be Foo-Dist.txt (well, the extension depends on the dump format and can be ".dmp", ".yml" or ".json")

--dir

Directory to dump a file to. Defaults to the current working directory.

--metrics_path

Search path for extra metrics modules

AUTHOR
Thomas Klausner <https://metacpan.org/author/domm>

Kenichi Ishigaki <https://metacpan.org/author/ishigaki>

COPYRIGHT AND LICENSE
Copyright © 2003–2006, 2009 Thomas Klausner <https://metacpan.org/author/domm>

Copyright © 2014 Kenichi Ishigaki <https://metacpan.org/author/ishigaki>

You may use and distribute this module according to the same terms that Perl is distributed under.